# Copyright (c) 2000-2006, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global parent maven2
%global subname common-poms

Name:              %{parent}-%{subname}
Version:           1.0
Release:           %mkrel 42
Epoch:             0
Summary:           Common poms for maven2
License:           ASL 2.0 and BSD
Group:             Development/Java
URL:               http://jpackage.org/

# No source location for these. They are ascii files generated from maven
# repositories, and are not in cvs/svn.
Source0:           %{name}-src.tar.xz
Source1:           %{name}-jpp-depmap.xml
Source2:           %{name}-docs.tar.gz

Patch0:            maven2-common-poms-remove-ant-pom.patch

BuildArch:         noarch
BuildRequires:     jpackage-utils >= 0:1.7.2
Requires:          jpackage-utils >= 0:1.7.2

%description
This package is a collection of poms required by various maven2-dependent
packages.

%prep
%setup -q -n %{name}
%patch0 -p0

tar xzf %{SOURCE2}

%build

%install
rm -rf $RPM_BUILD_ROOT

# Map
install -dm 755 $RPM_BUILD_ROOT%{_mavendepmapdir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_mavendepmapdir}/maven2-versionless-depmap.xml

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/maven2
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/default_poms
install -pm 644 *.pom $RPM_BUILD_ROOT%{_datadir}/maven2/default_poms

sed -i "s|<artifactId>plexus-maven-plugin</artifactId>|<artifactId>plexus-component-metadata</artifactId>|" $RPM_BUILD_ROOT%{_datadir}/maven2/default_poms/JPP.plexus-components.pom
sed -i "s|<version>1.3.2</version>|<version>1.5.5</version>|" $RPM_BUILD_ROOT%{_datadir}/maven2/default_poms/JPP.plexus-components.pom
sed -i "s|<goal>descriptor</goal>|<goal>generate-metadata</goal>|" $RPM_BUILD_ROOT%{_datadir}/maven2/default_poms/JPP.plexus-components.pom

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/maven2
ln -s %{_datadir}/maven2/default_poms $RPM_BUILD_ROOT%{_javadir}/maven2

%files
%doc APACHE_LICENSE.TXT JSCH_LICENSE.TXT FEDORA.README
%{_mavendepmapdir}/maven2-versionless-depmap.xml
%{_javadir}/maven2
%{_datadir}/maven2



%changelog

* Tue Jan 03 2012 gil <gil> 0:1.0-42.mga2
+ Revision: 189825
- build fix replaced plexus-maven-plugin with plexus-component-metadata in plexus-components pom

  + dmorgan <dmorgan>
    - From Fedora:
      	- Point wagon-webdav to maven empty dep
      	- Remove more unneeded depmaps.
      	- Delete plugins depmaps -they were pointing to locations which aren't used since Fedora 13.
      	- Even more depmaps removed (>100 lines less).
      	- Remove a lot of ancient things from the depmap (483 lines less).

* Wed Jul 20 2011 dmorgan <dmorgan> 0:1.0-40.mga2
+ Revision: 127024
- Fix groups
- Removed several depmaps and pom files from tarball
- checkstyle
- commons-logging-api
- maven-wagon (except webdav, jackrabbit)
- asm
- objectweb-asm
- avalon-framework
- avalon-logkit
  All of these packages provide their own pom files now

* Tue Jul 19 2011 dmorgan <dmorgan> 0:1.0-38.mga2
+ Revision: 126098
- Revert previous commit ( this is to early)

* Tue Jun 14 2011 dmorgan <dmorgan> 0:1.0-37.mga2
+ Revision: 105981
- Backport from fedora
  	- Remove a lot of ancient things from the depmap (483 lines less )
  	- Even more depmaps removed (>100 lines less).

* Wed Apr 27 2011 dmorgan <dmorgan> 0:1.0-36.mga1
+ Revision: 91880
- Remove ant pom, fix build of maven-pmd-plugin
- imported package maven2-common-poms


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 27 2010 Mat Booth <fedora@matbooth.co.uk> 0:1.0-32
- Remove felix parent poms and depmaps, there is now a felix-parent package.

* Sat Dec 18 2010 Mat Booth <fedora@matbooth.co.uk> 0:1.0-31
- Remove jline pom and depmap, jline now handles its own.

* Wed Dec 15 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0:1.0-30
- Major cleanup of pom files in tarball and verionless depmap
- Removed 119 pom files already provided by packages

* Wed Dec 15 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0:1.0-29
- Add org.apache.maven.wagon:wagon-webdav-jackrabbit depmap to remove dep

* Mon Dec 13 2010 Mat Booth <fedora@matbooth.co.uk> 0:1.0-28
- Remove xerces-j2 pom and depmap, xerces-j2 now handles its own.

* Mon Nov 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-27
- Add commons-collections depmap back to unbreak maven stack.

* Sat Nov 06 2010 Guido Grazioli <guido.grazioli@gmail.com> 0:1.0-26
- Remove commons-* depmaps (#646656)

* Wed Oct 27 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-25
- Remove plexus-component-api excludes.

* Thu Sep 30 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0:1.0-24
- Remove jtidy depmap (provided by jtidy now)
- Add xerces:dom3-xml-apis to xml-common-apis depmap

* Wed Sep 29 2010 Guido Grazioli <guido.grazioli@gmail.com> 0:1.0-23
- Remove codehaus-mojo-parent pom, provided by mojo-parent (#634531)

* Sun Sep 19 2010 Mat Booth <fedora@matbooth.co.uk> 0:1.0-22
- Remove msv pom and depmap, msv now handles its own.

* Tue Sep 07 2010 Guido Grazioli <guido.grazioli@gmail.com> 0:1.0-21
- Fix cvsclient pom to new jar location (#572165)
- Drop apache-commons-langs (#591878)

* Mon Aug 30 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-20
- Remove ant and plugins depmaps. They are properly handled by ant packages.

* Thu Jun 17 2010 Deepak Bhole <dbhole@redhat.com> 0:1.0-19
- Added plugins parent pom

* Tue May 25 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-18
- Remove doxia and modello poms.

* Tue May 25 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-17
- Remove doxia depmaps.

* Tue May 25 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-16
- Remove modello depmaps (needed for updating maven).

* Wed May 19 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-15
- Remove maven-plugin-testing depmaps.

* Wed May 12 2010 Guido Grazioli <guido.grazioli@gmail.com> 0:1.0-14
- Drop apache-commons-logging pom (BZ 591279).
- Drop plexus-archiver pom (BZ 550790).

* Sun May 02 2010 Guido Grazioli <guido.grazioli@gmail.com> 0:1.0-13
- Add netbeans-libs cvsclient pom.
- Fix Group tag.
- Use xz compression.

* Tue Dec 22 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-12
- Drop common-codec and commons-digester. Packaged with the jars now.

* Wed Sep 16 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-11
- Add apache-commons parent pom.

* Thu Sep 10 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-10
- Add jetty and plexus parent poms.

* Tue Sep  1 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0:1.0-9
- Added JPP.codehaus-mojo-parent.pom
- Fix cobertura's jar name in the depmap, should be maven2-plugin-cobertura

* Wed Aug 19 2009 Andrew Overholt <overholt@redhat.com> 1.0-8
- From Yong Yang:
- Fix JPP.excalibur-logkit.pom's version by sed

* Tue Aug 18 2009 Andrew Overholt <overholt@redhat.com> 0:1.0-7
- Changes from Deepak Bhole:
- Updated depmap
- Update for maven 2.0.8

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-6.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-5.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0-4.4
- drop repotag

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0-4jpp.3
- fix license tag

* Thu Mar 15 2007 Deepak Bhole <dbhole@redhat.com> 1.0-4jpp.2
- Updated depmap to make javax-servlet be tomcat-2.4-servlet-api

* Mon Feb 12 2007 Deepak Bhole <dbhole@redhat.com> 0:1.0-4jpp.1
- Fix spec per Fedora guidelines.

* Fri Oct 13 2006 Deepak Bhole <dbhole@redhat.com> 1.0-3jpp
- Changed file names to comply with the new maven2 rpm.

* Fri Sep 18 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.0-2jpp
- Moved common poms from maven2 rpm into this one.

* Tue Jun 13 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.0-1jpp
- Initial build
